﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/mpSecure.master" AutoEventWireup="true" CodeBehind="ManageCustomer.aspx.cs" Inherits="Bank2020Khanjar.Pages.ManageCustomer" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cpMain" runat="server">
    <asp:GridView ID="grvCustomers" runat="server" AutoGenerateColumns="False" DataKeyNames="ICustomerID" DataSourceID="dsCustomer" AllowSorting="True" CellPadding="4" ForeColor="#333333" GridLines="None">
        <AlternatingRowStyle BackColor="White" />
    <Columns>
        <asp:CommandField ShowSelectButton="True" />
        <asp:BoundField DataField="ICustomerID" HeaderText="ICustomerID" ReadOnly="True" SortExpression="ICustomerID" Visible="False" />
        <asp:BoundField DataField="vcFirstName" HeaderText="First Name" SortExpression="vcFirstName" />
        <asp:BoundField DataField="vcLastName" HeaderText="Last Name" SortExpression="vcLastName" />
    </Columns>
        <EditRowStyle BackColor="#2461BF" />
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="#EFF3FB" />
        <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
        <SortedAscendingCellStyle BackColor="#F5F7FB" />
        <SortedAscendingHeaderStyle BackColor="#6D95E1" />
        <SortedDescendingCellStyle BackColor="#E9EBEF" />
        <SortedDescendingHeaderStyle BackColor="#4870BE" />
</asp:GridView>
    <br />
    Please insert information for all fiels down after you select if you want to edit or add new records. All are required information.
<asp:SqlDataSource ID="dsCustomer" runat="server" ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString2 %>" SelectCommand="SELECT [ICustomerID], [vcFirstName], [vcLastName] FROM [tblKhanjarCustomer]"></asp:SqlDataSource>
    <asp:FormView ID="frvCustomer" runat="server" BackColor="#DEBA84" BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px" CellPadding="3" CellSpacing="2" DataKeyNames="ICustomerID" DataSourceID="dsCustomerUpdate" GridLines="Both">
        <EditItemTemplate>
            ICustomerID:
            <asp:Label ID="ICustomerIDLabel1" runat="server" Text='<%# Eval("ICustomerID") %>' />
            <br />
            vcFirstName:
            <asp:TextBox ID="vcFirstNameTextBox" runat="server" Text='<%# Bind("vcFirstName") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="vcFirstNameTextBox" Display="Dynamic" ErrorMessage="Required" SetFocusOnError="True" ValidationGroup="CustomerUpdate"></asp:RequiredFieldValidator>
            <br />
            vcLastName:
            <asp:TextBox ID="vcLastNameTextBox" runat="server" Text='<%# Bind("vcLastName") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="vcLastNameTextBox" Display="Dynamic" ErrorMessage="Required" SetFocusOnError="True" ValidationGroup="CustomerUpdate"></asp:RequiredFieldValidator>
            <br />
            vcAddress:
            <asp:TextBox ID="vcAddressTextBox" runat="server" Text='<%# Bind("vcAddress") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="vcAddressTextBox" Display="Dynamic" ErrorMessage="Required" SetFocusOnError="True" ValidationGroup="CustomerUpdate"></asp:RequiredFieldValidator>
            <br />
            intAge:
            <asp:TextBox ID="intAgeTextBox" runat="server" Text='<%# Bind("intAge") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ControlToValidate="intAgeTextBox" Display="Dynamic" ErrorMessage="Required" SetFocusOnError="True" ValidationGroup="CustomerUpdate"></asp:RequiredFieldValidator>
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" ValidationGroup="CustomerUpdate" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <EditRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="White" />
        <EmptyDataTemplate>
            <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New" Text="New" />
        </EmptyDataTemplate>
        <FooterStyle BackColor="#F7DFB5" ForeColor="#8C4510" />
        <HeaderStyle BackColor="#A55129" Font-Bold="True" ForeColor="White" />
        <InsertItemTemplate>
            ICustomerID:
            <asp:TextBox ID="ICustomerIDTextBox" runat="server" Text='<%# Bind("ICustomerID") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="ICustomerIDTextBox" Display="Dynamic" ErrorMessage="it is required please insert value" SetFocusOnError="True" ValidationGroup="customervalidation"></asp:RequiredFieldValidator>
            <br />
            vcFirstName:
            <asp:TextBox ID="vcFirstNameTextBox" runat="server" Text='<%# Bind("vcFirstName") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="vcFirstNameTextBox" Display="Dynamic" ErrorMessage="it is required please insert value" SetFocusOnError="True" ValidationGroup="customervalidation"></asp:RequiredFieldValidator>
            <br />
            vcLastName:
            <asp:TextBox ID="vcLastNameTextBox" runat="server" Text='<%# Bind("vcLastName") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="vcLastNameTextBox" Display="Dynamic" ErrorMessage="it is required please insert value" SetFocusOnError="True" ValidationGroup="customervalidation"></asp:RequiredFieldValidator>
            <br />
            vcAddress:
            <asp:TextBox ID="vcAddressTextBox" runat="server" Text='<%# Bind("vcAddress") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="vcAddressTextBox" Display="Dynamic" ErrorMessage="it is required please insert value" SetFocusOnError="True" ValidationGroup="customervalidation"></asp:RequiredFieldValidator>
            <br />
            intAge:
            <asp:TextBox ID="intAgeTextBox" runat="server" Text='<%# Bind("intAge") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="intAgeTextBox" Display="Dynamic" ErrorMessage="it is required please insert value" SetFocusOnError="True" ValidationGroup="customervalidation"></asp:RequiredFieldValidator>
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" Text="Insert" ValidationGroup="customervalidation" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </InsertItemTemplate>
        <ItemTemplate>
            ICustomerID:
            <asp:Label ID="ICustomerIDLabel" runat="server" Text='<%# Eval("ICustomerID") %>' />
            <br />
            vcFirstName:
            <asp:Label ID="vcFirstNameLabel" runat="server" Text='<%# Bind("vcFirstName") %>' />
            <br />
            vcLastName:
            <asp:Label ID="vcLastNameLabel" runat="server" Text='<%# Bind("vcLastName") %>' />
            <br />
            vcAddress:
            <asp:Label ID="vcAddressLabel" runat="server" Text='<%# Bind("vcAddress") %>' />
            <br />
            intAge:
            <asp:Label ID="intAgeLabel" runat="server" Text='<%# Bind("intAge") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
            &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete" Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New" Text="New" />
        </ItemTemplate>
        <PagerStyle ForeColor="#8C4510" HorizontalAlign="Center" />
        <RowStyle BackColor="#FFF7E7" ForeColor="#8C4510" />
    </asp:FormView>
    <asp:SqlDataSource ID="dsCustomerUpdate" runat="server" ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString2 %>" DeleteCommand="DELETE FROM [tblKhanjarCustomer] WHERE [ICustomerID] = @ICustomerID" InsertCommand="INSERT INTO [tblKhanjarCustomer] ([ICustomerID], [vcFirstName], [vcLastName], [vcAddress], [intAge]) VALUES (@ICustomerID, @vcFirstName, @vcLastName, @vcAddress, @intAge)" OnDeleted="dsCustomerUpdate_Deleted" OnInserted="dsCustomerUpdate_Inserted" OnUpdated="dsCustomerUpdate_Deleted" SelectCommand="SELECT * FROM [tblKhanjarCustomer] WHERE ([ICustomerID] = @ICustomerID)" UpdateCommand="UPDATE [tblKhanjarCustomer] SET [vcFirstName] = @vcFirstName, [vcLastName] = @vcLastName, [vcAddress] = @vcAddress, [intAge] = @intAge WHERE [ICustomerID] = @ICustomerID" OnSelected="dsCustomerUpdate_Selected">
        <DeleteParameters>
            <asp:Parameter Name="ICustomerID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="ICustomerID" Type="Int32" />
            <asp:Parameter Name="vcFirstName" Type="String" />
            <asp:Parameter Name="vcLastName" Type="String" />
            <asp:Parameter Name="vcAddress" Type="String" />
            <asp:Parameter Name="intAge" Type="Int32" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="grvCustomers" Name="ICustomerID" PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="vcFirstName" Type="String" />
            <asp:Parameter Name="vcLastName" Type="String" />
            <asp:Parameter Name="vcAddress" Type="String" />
            <asp:Parameter Name="intAge" Type="Int32" />
            <asp:Parameter Name="ICustomerID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
</asp:Content>
