﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master/mpSecure.master" AutoEventWireup="true" CodeBehind="ManageLoans.aspx.cs" Inherits="Bank2020Khanjar.Pages.ManageLoans" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cpMain" runat="server">
    <asp:DropDownList ID="ddlCustomerList" runat="server" AutoPostBack="True" DataSourceID="SqlDataSource1" DataTextField="vcLastName" DataValueField="ICustomerID">
    </asp:DropDownList>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString2 %>" SelectCommand="SELECT * FROM [tblKhanjarCustomer] ORDER BY [vcLastName]"></asp:SqlDataSource>
    <asp:Label ID="lblPayment" runat="server" Text="This is your monthly payment"></asp:Label>
    <br />

    <asp:GridView ID="grvCustomerLoanList" runat="server" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="LoanID" DataSourceID="dsLoanList" OnSelectedIndexChanged="grvCustomerLoanList_SelectedIndexChanged">
        <Columns>
            <asp:CommandField ShowSelectButton="True" />
            <asp:BoundField DataField="LoanID" HeaderText="LoanID" ReadOnly="True" SortExpression="LoanID" />
            <asp:BoundField DataField="Principal" HeaderText="Principal" SortExpression="Principal" />
            <asp:BoundField DataField="Interest" HeaderText="Interest" SortExpression="Interest" />
            <asp:BoundField DataField="Month" HeaderText="Month" SortExpression="Month" />
            <asp:BoundField DataField="fkCustomerID" HeaderText="fkCustomerID" SortExpression="fkCustomerID" />
        </Columns>
    </asp:GridView>


    <br />
    Please insert information for all fiels down after you select if you want to edit or add new records. All are required information.<br />


    <asp:SqlDataSource ID="dsLoanList" runat="server" ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString2 %>" SelectCommand="SELECT * FROM [tblKhanjarLoan] WHERE ([fkCustomerID] = @fkCustomerID)">
        <SelectParameters>
            <asp:ControlParameter ControlID="ddlCustomerList" Name="fkCustomerID" PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="frvCustomerLoan" runat="server" DataKeyNames="LoanID" DataSourceID="dsCurrentLoan">
        <EditItemTemplate>
            LoanID:
            <asp:Label ID="LoanIDLabel1" runat="server" Text='<%# Eval("LoanID") %>' />
            <br />
            Principal:
            <asp:TextBox ID="PrincipalTextBox" runat="server" Text='<%# Bind("Principal") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="PrincipalTextBox" ErrorMessage="This is required field " SetFocusOnError="True" ValidationGroup="LoanUpdate"></asp:RequiredFieldValidator>
            <br />
            Interest:
            <asp:TextBox ID="InterestTextBox" runat="server" Text='<%# Bind("Interest") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="InterestTextBox" ErrorMessage="This is required field " SetFocusOnError="True" ValidationGroup="LoanUpdate"></asp:RequiredFieldValidator>
            <br />
            Month:
            <asp:TextBox ID="MonthTextBox" runat="server" Text='<%# Bind("Month") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="MonthTextBox" ErrorMessage="This is required field " SetFocusOnError="True" ValidationGroup="LoanUpdate"></asp:RequiredFieldValidator>
            <br />
            fkCustomerID:
            <asp:TextBox ID="fkCustomerIDTextBox" runat="server" Text='<%# Bind("fkCustomerID") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="fkCustomerIDTextBox" ErrorMessage="This is required field " SetFocusOnError="True" ValidationGroup="LoanUpdate"></asp:RequiredFieldValidator>
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update" Text="Update" ValidationGroup="LoanUpdate" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <EmptyDataTemplate>
            <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New" Text="New" />
        </EmptyDataTemplate>
        <InsertItemTemplate>
            LoanID:
            <asp:TextBox ID="LoanIDTextBox" runat="server" Text='<%# Bind("LoanID") %>' />
            <br />
            Principal:
            <asp:TextBox ID="PrincipalTextBox" runat="server" Text='<%# Bind("Principal") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="PrincipalTextBox" Display="Dynamic" ErrorMessage="Insert Value" SetFocusOnError="True" ValidationGroup="insertLoan"></asp:RequiredFieldValidator>
            <br />
            Interest:
            <asp:TextBox ID="InterestTextBox" runat="server" Text='<%# Bind("Interest") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="InterestTextBox" Display="Dynamic" ErrorMessage="Insert Value" SetFocusOnError="True" ValidationGroup="insertLoan"></asp:RequiredFieldValidator>
            <br />
            Month:
            <asp:TextBox ID="MonthTextBox" runat="server" Text='<%# Bind("Month") %>' />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="MonthTextBox" Display="Dynamic" ErrorMessage="Insert Value" SetFocusOnError="True" ValidationGroup="insertLoan"></asp:RequiredFieldValidator>
            <br />
           <%-- fkCustomerID:
            <asp:TextBox ID="fkCustomerIDTextBox" runat="server" Text='<%# Bind("fkCustomerID") %>' />--%>
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert" Text="Insert" ValidationGroup="insertLoan" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </InsertItemTemplate>
        <ItemTemplate>
            LoanID:
            <asp:Label ID="LoanIDLabel" runat="server" Text='<%# Eval("LoanID") %>' />
            <br />
            Principal:
            <asp:Label ID="PrincipalLabel" runat="server" Text='<%# Bind("Principal") %>' />
            <br />
            Interest:
            <asp:Label ID="InterestLabel" runat="server" Text='<%# Bind("Interest") %>' />
            <br />
            Month:
            <asp:Label ID="MonthLabel" runat="server" Text='<%# Bind("Month") %>' />
            <br />
            fkCustomerID:
            <asp:Label ID="fkCustomerIDLabel" runat="server" Text='<%# Bind("fkCustomerID") %>' />
            <br />
            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit" Text="Edit" />
            &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete" Text="Delete" />
            &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New" Text="New" />
            <asp:GridView ID="grvSchedule" runat="server">
            </asp:GridView>
        </ItemTemplate>
    </asp:FormView>
    <asp:GridView ID="grvSchedule" runat="server" BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" CellPadding="2" OnSelectedIndexChanged="grvSchedule_SelectedIndexChanged" ForeColor="Black" GridLines="None" AutoGenerateColumns="False">
        <AlternatingRowStyle BackColor="PaleGoldenrod" />
        <FooterStyle BackColor="Tan" />
        <HeaderStyle BackColor="Tan" Font-Bold="True" />
        <PagerStyle ForeColor="DarkSlateBlue" HorizontalAlign="Center" BackColor="PaleGoldenrod" />
        <SelectedRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
        <SortedAscendingCellStyle BackColor="#FAFAE7" />
        <SortedAscendingHeaderStyle BackColor="#DAC09E" />
        <SortedDescendingCellStyle BackColor="#E1DB9C" />
        <SortedDescendingHeaderStyle BackColor="#C2A47B" />

        <Columns>
            
            <asp:BoundField DataField="BegnningBalance" HeaderText="Beginning Balance" DataFormatString="{0:c}"  />
            <asp:BoundField DataField="EndingBalance" HeaderText="Ending Balance" DataFormatString="{0:c}"  />
            <asp:BoundField DataField="InterestPaid" HeaderText="Interest Paid" DataFormatString="{0:c}"  />
            <asp:BoundField DataField="PrincipalPaid" HeaderText="Principal Paid" DataFormatString="{0:c}"  />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="dsCurrentLoan" runat="server" ConnectionString="<%$ ConnectionStrings:DatabaseConnectionString2 %>" DeleteCommand="DELETE FROM [tblKhanjarLoan] WHERE [LoanID] = @LoanID" InsertCommand="INSERT INTO [tblKhanjarLoan] ([LoanID], [Principal], [Interest], [Month], [fkCustomerID]) VALUES (@LoanID, @Principal, @Interest, @Month, @fkCustomerID)" SelectCommand="SELECT * FROM [tblKhanjarLoan] WHERE ([LoanID] = @LoanID)" UpdateCommand="UPDATE [tblKhanjarLoan] SET [Principal] = @Principal, [Interest] = @Interest, [Month] = @Month, [fkCustomerID] = @fkCustomerID WHERE [LoanID] = @LoanID" OnDeleted="dsCurrentLoan_Deleted" OnInserted="dsCurrentLoan_Inserted" OnSelected="dsCurrentLoan_Selected" OnUpdated="dsCurrentLoan_Updated">
        <DeleteParameters>
            <asp:Parameter Name="LoanID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="LoanID" Type="Int32" />
            <asp:Parameter Name="Principal" Type="Decimal" />
            <asp:Parameter Name="Interest" Type="Decimal" />
            <asp:Parameter Name="Month" Type="Int32" />
            <asp:ControlParameter ControlID="ddlCustomerList" Name="fkCustomerID" PropertyName="SelectedValue" Type="Int32" />
        </InsertParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="grvCustomerLoanList" Name="LoanID" PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="Principal" Type="Decimal" />
            <asp:Parameter Name="Interest" Type="Decimal" />
            <asp:Parameter Name="Month" Type="Int32" />
            <asp:Parameter Name="fkCustomerID" Type="Int32" />
            <asp:Parameter Name="LoanID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
</asp:Content>
