﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Bank2020Khanjar.Pages
{
    public partial class ManageLoans : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void dsCurrentLoan_Selected(object sender, SqlDataSourceStatusEventArgs e)
        {
            dsLoanList.DataBind();
            grvCustomerLoanList.DataBind();
        }

        protected void dsCurrentLoan_Inserted(object sender, SqlDataSourceStatusEventArgs e)
        {
            dsLoanList.DataBind();
            grvCustomerLoanList.DataBind();
        }

        protected void dsCurrentLoan_Updated(object sender, SqlDataSourceStatusEventArgs e)
        {
            dsLoanList.DataBind();
            grvCustomerLoanList.DataBind();
        }

        protected void dsCurrentLoan_Deleted(object sender, SqlDataSourceStatusEventArgs e)
        {
            dsLoanList.DataBind();
            grvCustomerLoanList.DataBind();
        }

        protected void grvCustomerLoanList_SelectedIndexChanged(object sender, EventArgs e)
        {
            decimal decPrin = decimal.Parse(grvCustomerLoanList.SelectedRow.Cells[2].Text.ToString());
            decimal decInterest = decimal.Parse(grvCustomerLoanList.SelectedRow.Cells[3].Text.ToString());
            int intMonth = int.Parse(grvCustomerLoanList.SelectedRow.Cells[4].Text.ToString());

            loan2019.PaymentCalculator loanpay = new loan2019.PaymentCalculator();
            loanpay.Principal = decPrin;
            loanpay.InterestRate = decInterest;
            loanpay.Months = intMonth;
            lblPayment.Text = loanpay.MonthlyPayment.ToString("C");
            grvSchedule.DataSource = loanpay.Schedule;
            grvSchedule.DataBind();
            
        }

        protected void grvSchedule_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
    }
}